Support » Plugin: WooCommerce Stripe Payment Gateway » Renewal and 3D Secure/ 3D secure 2 (SCA)

  • Resolved jmau

    (@jmlapam)


    Hi,

    We have upgraded to the 4.2.3 to be compliant with SCA.

    It seems that the plugin does not use payment intent Stripe API for renewal payment. All renewals with 3D secure cards result in failure.

    We also noticed that you are not using the latest version of the Stripe API (in 4.3.2 it is ‘2019-02-19’)

    there are 3 versions after 2019-02-19 :

    
    2019-08-14
    2019-05-16
    2019-03-14
    

    Do you plan any update before 14/09/2019 ? We saw this PR on GitHub https://github.com/woocommerce/woocommerce-gateway-stripe/pull/955, does it fix this problem ?

    Any help would be much appreciated.

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Support Thomas Shellberg

    (@shellbeezy)

    Automattic Happiness Engineer

    Hi @jmlapam,

    I think this will require more than a couple of Pull Requests but yes, the one you mentioned is part of it. At the moment, SCA compliance for delayed payments(Pre-Orders, Subscriptions) is slated for version 4.3.0.

    ok, thanks for your answer, that’s reassuring.
    Do you know when this new version will be released ?

    Same here!

    We hope version 4.3.0 will be available a few days before 14/09/2019! But we obviously do have the problem with ordinary payments aswell – stripe dashboard and email alert tells us, we are not sca-ready, although version 4.2.3 is installed (and deleted and reinstalled a few times). At the moment all payments work fine and are accepted. I hope with version 4.3.0 we will be fit for sca. I really do not want to go back to paypal….

    Fingers crossed!

    • This reply was modified 1 month, 3 weeks ago by  traustdinie.

    @shellbeezy hi, do you have any idea of when this update will be released ?

    I’m wondering the same thing. All my payments are of the recurring kind (subscriptions).

    Can we expect to see version 4.3.0 in the next 10 days?

    Plugin Support Thomas Shellberg

    (@shellbeezy)

    Automattic Happiness Engineer

    Hi everyone,

    While improved readiness for SCA will be part of 4.3.0, there isn’t a release date yet. I’d keep an eye on the changelog and the SCA-related GitHub issues:

    https://github.com/woocommerce/woocommerce-gateway-stripe/issues?q=is%3Aissue+is%3Aopen+label%3A%22PaymentIntents+%2F+SCA%22

    Plugin Support dougaitken

    (@dougaitken)

    Automattic Happiness Engineer

    I’m going to mark this as resolved – if you have any further questions about the Stripe extension, you can start a new thread.

    If your query is related to the premium WooCommerce Subscriptions extension – please reach out to us via your WooCommerce.com account.

    If you have any further questions about WooCommerce core, you can start a new thread – https://wordpress.org/support/plugin/woocommerce/

    Thanks

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.